Redmine - Feature #14364

Password generator feature
2013-06-27 15:27 - Frank Helk

Status: Closed
Priority: Normal
Assignee:

Category: Administration

Target version:

Resolution: Duplicate

Start date:

Due date:

% Done: 0%
Estimated time: 0.00 hour

Description

In systems where auto-register is disabled, it is somewhat nasty to generate a random password for every new user - especially if a
bunch of new users is to be set up. It is already enough work to enter names and email addresses.

| would prefer to have some choice to autogenerate a random password with acceptable complexity (maybe configured by Admin).
This could be reached with a simple button "Generate random pwd" beneath the password fields in the new user form and some
JavaScript that does the generation (no need to implement this on the "server side").

Related issues:

Is duplicate of Redmine - Feature #3872: New user password - better functiona... Closed 2009-09-15

History

#1 - 2013-06-27 22:21 - Jan Niggemann (redmine.org team member)

| like the ideal

In fact | had a similar idea when | added 10 users recently...

#2 - 2013-06-28 09:03 - Daniel Felix

- Is duplicate of Feature #3872: New user password - better functionality added

#3 - 2013-06-28 09:06 - Daniel Felix
- File autogenerate_pw.png added
- Status changed from New to Closed

- Resolution set to Duplicate

Authentication

Authentication mode |ptemal

I Generate password [ I

Password *

Confirmation *

Hi Frank,
this feature is already implemented.
See #3872.

Best regards,
Daniel

#4 - 2013-06-28 09:09 - Jan Niggemann (redmine.org team member)

| guess it's time to upgrade... We're still on 2.3.0.

#5 - 2013-06-28 09:29 - Daniel Felix

Well I'm on trunk. This is a planned feature for 2.4.
https://www.redmine.org/issues/3872

#6 - 2013-06-28 11:47 - Frank Helk

OK - because it's not in yet in release: Since I'm a very, very lazy being, I'd prefer that to be active by default (if not so already) ;-)

#7 - 2013-06-28 12:43 - Daniel Felix

Not the best idea. Since everytime you change the user mail or something else, the user will get notified about a new password.

#8 - 2013-07-01 13:41 - Frank Helk
Objection :-)

Should only be "ON" by default for "New User" (which is what I've asked for and what we're takling about). Agreed that this should be "OFF" when
editing user's settings.

#9 - 2015-08-25 15:30 - Petar Yankov

Hello, | am new to redmine. | tried version 2.6 and version 3.1, but couldn't find the random password generation feature. Could anyone help?
